State context updated

The payout.state-context-updated event is triggered when a payout's state.context changes without a change to its state.code. This includes when the context is cleared.

The event's data object has the same structure as payout.state-updated and the payout returned by the GET payouts/{id} endpoint.

To receive this event, enable Payout state context updated events for the webhook configuration in the Rafiki portal. This option requires Payout state updated events to also be enabled.

When a context is added or changed, the event includes the current context:

{
  "id": "wbh-xxx",
  "type": "payout.state-context-updated",
  "created_at": "2026-09-28T11:08:00Z",
  "data": {
    "id": "pyt-xxx",
    "state": {
      "code": "PENDING",
      "context": "COMPLIANCE_REVIEW"
    },
    "...": "all other Payout fields, same as GET /v1/payouts/{id}"
  }
}

When a context is cleared, the context property is omitted:

{
  "id": "wbh-xxx",
  "type": "payout.state-context-updated",
  "created_at": "2026-09-28T11:09:00Z",
  "data": {
    "id": "pyt-xxx",
    "state": {
      "code": "PENDING"
    },
    "...": "all other Payout fields, same as GET /v1/payouts/{id}"
  }
}